%global momorel 1
Name:           cheese
Version: 3.30.0
Release: %{momorel}m%{?dist}
Summary:        Application for taking pictures and movies from a webcam

Group:          Amusements/Graphics
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Cheese
#VCS: git:git://git.gnome.org/cheese
Source0: https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libXtst-devel
BuildRequires:  vala-devel
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gst-2.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  /usr/bin/xsltproc

Requires: %{name}-libs = %{version}-%{release}
Requires: gstreamer1-plugins-good
Requires: gstreamer1-plugins-bad-free
Requires: gnome-video-effects

Obsoletes: cheese-devel <= 3.2.2

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It can also apply fancy graphical effects.

%package camera-service
Summary:        Webcam D-Bus service
Group:          System Environment/Libraries
License:        GPLv3+

%description camera-service
This package contains a D-Bus service needed for applications that
want to display a webcam dialog in their interface.

%package libs
Summary:	Webcam display and capture widgets
Group:		System Environment/Libraries
License:	GPLv2+

%description libs
This package contains libraries needed for applications that
want to display a webcam in their interface.

%package libs-devel
Summary:	Development files for %{name}-libs
Group:		Development/Libraries
License:	GPLv2+
Requires:	%{name}-libs = %{version}-%{release}

Provides:  cheese-devel = %{version}-%{release}

%description libs-devel
This package contains the libraries and header files that are needed
for writing applications that require a webcam display widget.

%prep
%setup -q

%build
%configure --disable-static
%make 


%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

rm -f %{buildroot}%{_libdir}/libcheese.{a,la}
rm -f %{buildroot}%{_libdir}/libcheese-gtk.{a,la}

%find_lang %{name} --with-gnome

chrpath --delete %{buildroot}%{_bindir}/cheese
chrpath --delete %{buildroot}%{_libdir}/libcheese-gtk.so.*


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Cheese.desktop


%post
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%post libs
/sbin/ldconfig
if [ $1 -eq 1 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%postun libs
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc AUTHORS README
%{_bindir}/cheese
%{_datadir}/applications/org.gnome.Cheese.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/appdata/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service
%{_mandir}/man1/cheese.1.bz2
%{_datadir}/help/*/cheese

%files camera-service
#%%doc COPYING.GPL3
#%{_libexecdir}/gnome-camera-service
#%{_datadir}/dbus-1/services/org.gnome.Camera.service

%files -f %{name}.lang libs
%doc COPYING
%{_libdir}/libcheese.so.*
%{_libdir}/libcheese-gtk.so.*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_libdir}/girepository-1.0/Cheese-3.0.typelib

%files libs-devel
%{_libdir}/libcheese.so
%{_libdir}/libcheese-gtk.so
%{_includedir}/cheese/
%{_datadir}/gtk-doc/
%{_libdir}/pkgconfig/cheese.pc
%{_libdir}/pkgconfig/cheese-gtk.pc
%{_datadir}/gir-1.0/Cheese-3.0.gir

%changelog
* Mon Sep 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.30.0-1m)
- update to 3.30.0

* Mon Sep 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.28.0-1m)
- update to 3.28.0

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Mon Jan 30 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.22.1-2m)
- rebuild against gnome-desktop3-3.23.3

* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.1-1m)
- revert to 3.22.1

* Sun Nov 30 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- revert to 3.14.2

* Wed Nov 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.15.2-1m)
- update to 3.15.2

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.15.1-1m)
- update to 3.15.1

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sat Oct 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-2m)
- change Requires: gstreamer1-plugins-bad-free

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Tue Jun 03 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- update to 3.12.2

* Mon Apr 21 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.1-1m)
- update to 3.12.1

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Thu Feb 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.90-1m)
- update to 3.11.90

* Sat Feb  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.5-1m)
- update to 3.11.5

* Sat Dec 28 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.1-1m)
- update to 3.11.1

* Sat Aug 31 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.90-1m)
- update to 3.9.90

* Mon Jun 24 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.3-1m)
- update to 3.9.3

* Mon Nov 15 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-2m)
- rebuild against gstreamer1-plugins-bad-1.0.2

* Fri Oct  5 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Thu Aug 23 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.5-1m)
- update to 3.5.5

* Sun Jul 08 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.2-2m)
- rebuild for librsvg2 2.36.1

* Fri Jul 06 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.2-1m)
- reimport from fedora

* Thu Jul 05 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.2-4m)
- rebuild for evolution-data-server-devel-3.5.3

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.2-3m)
- rebuild for glib 2.33.2

* Wed Jan 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2.2-2m)
- remove BR hal

* Sun Dec  4 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.92-1m)
- update to 3.1.92

* Fri Sep 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91.1-1m)
- rebuild against many package ;-p

* Mon Sep 12 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91.1-1m)
- update to 3.1.91.1

* Mon May  9 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0.1-3m)
- add BuildRequires

* Tue May  3 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-2m)
- add BR

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-4m)
- add buildrequires

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-2m)
- rebuild for new GCC 4.5

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.32.0-1m)
- update to 2.32.0

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-4m)
- full rebuild for mo7 release

* Wed Jul 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-3m)
- split libs

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-2m)
- rebuild against gnome-desktop

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Fri Sep 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0.1-1m)
- update to 2.28.0.1

* Fri Sep 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.3-2m)
- add BuildPrereq

* Tue Jun 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- welcome evolution-data-server

* Sat Sep 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0
- add patch0 (good-bye evolution-data-server)

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.3-2m)
- change BuildPrereq: gst-plugins-base-devel to gstreamer-plugins-base-devel 

* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Wed Jun 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-2m)
- add Require: gnome-media

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.1-2m)
- rebuild against librsvg2-2.22.2-3m

* Wed Apr 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0.20080329-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0.20080329-1m)
- svn version (2008-03-29)

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-3m)
- add patch0 (fix clash but not work)

* Tue Mar 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-2m)
- add Req gst-ffmpeg

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- initial build
